Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.behavior
Class ConverterNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.richfaces.component.behavior.ConverterNotFoundException

All Implemented Interfaces:
  Serializable

    public class ConverterNotFoundException

extends Exception

This exception thrown if Client validator cannot determine Converter associated with target UIComponent

Author:
  asmirnov@exadel.com
See Also:
  Serialized Form

Constructor Summary
`ConverterNotFoundException()`
`ConverterNotFoundException(String message)`
`ConverterNotFoundException(String message, Throwable cause)`
`ConverterNotFoundException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConverterNotFoundException

    public ConverterNotFoundException()

### ConverterNotFoundException

    public ConverterNotFoundException(String message)

  Parameters:
    `message` -

### ConverterNotFoundException

    public ConverterNotFoundException(Throwable cause)

  Parameters:
    `cause` -

### ConverterNotFoundException

    public ConverterNotFoundException(String message,
                                      Throwable cause)

  Parameters:
    `message` -
    `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.